      PROGRAM FTEST
C***** BASIC EXAMPLE ROUTINE FOR FITFUN
C***** Link FTEST,MYREAD,GAUSS,FITFUN/LIB,LIBPG/LIB
C HP    setenv LPATH /lib:/usr/lib:/usr/local/lib:/usr/lib/X11R5
C HP    f77 -o ftst ftst.o myread.o gauss.o libfitfun.a -lpgplot -lX11 -lU77
C IRIX  f77 -o ftst ftst.o myread.o gauss.o libfitfun.a libpgplot.a -lX11
C MinGW f77 -o ftst ftst.o myread.o gauss.o libffn66m.a libpggw520.a \
C           -wl,--subsystem,console -mwindows
      EXTERNAL MYREAD,GAUSS
C
C***** MYREAD IS A USER SUPPLIED ROUTINE TO READ IN ONE SPECTRUM EACH CALL
C
C***** GAUSS IS A USER'S ROUTINE TO CALCULATE THE REQUIRED FUNCTION
C
      COMMON/TITLES/NAMES(40),TX,TY
      COMMON/TITLEP/NPARAS
      COMMON/WORK/W(30660)
C***** THIS IS SUFFICIENT FOR 1600 DATA AND 10 PARAMETERS !
      COMMON/VERSION/VERP
C***** VERP IS TYPED BY THE PROGRAM INDICATING THE CURRENTLY RUNNING VERSION
C
      CHARACTER*8 NAMES
      CHARACTER*4 PNAM
      CHARACTER*20 TX,TY
C
      DATA NAMES/'CENTRE  ','SIGMA','FLAT BAK','SLOPE',
     1'HEIGHT',35*' '/
      DATA PNAM/'ftst'/
      DATA TX/'CHANNEL'/
      DATA TY/'COUNTS'/
      DATA NPARAS/5/
C
      VERP=2.0
      CALL FITFUN(PNAM,MYREAD,GAUSS)
C
      END
