      program progsub
c***** a simple program to read two data files and subtract
c      the second from the first, using subroutines
c     R. Ghosh, ILL, version 1 October 2004
c     g77 -o progsub progsub.f daread.o dawrit.o
      parameter (inmax=100)
c***** maximum number of lines to be read from file
      real x1(inmax),y1(inmax),yer1(inmax)
      real x2(inmax),y2(inmax),yer2(inmax)
      real x3(inmax),y3(inmax),yer3(inmax)
c***** define arrays of variables x,y,yer
      call daread(x1,y1,yer1,in1,inmax)
c***** routine reads in from file
      call daread(x2,y2,yer2,in2,inmax)
c***** trivial check for compatibility
      if(in2.ne.in1) stop ' input files have differing lengths!'
      write(6,5)
5     format(' Give multiplier for second set of data [1.0] :',$)
      read(5,6) fmul
6     format(g12.6)
      if(fmul.eq.0) fmul=1.0
c
c***** calculate difference and new error values
c
      do i=1,in1
        x3(i)=x1(i)
c***** take first data as reference
        y3(i)=y1(i)-fmul*y2(i)
        yysq=yer1(i)**2+(fmul*yer2(i))**2
        yer3(i)=sqrt(yysq)
      end do
c
c***** output results
c
      iout=6
      call dawrit(x3,y3,yer3,in1,iout)
c***** writes out to unit 6 (terminal)
      iout=2
c***** output into a new file
      call dawrit(x3,y3,yer3,in1,iout)
      end
